package com.mortals.xhx.module.matter.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.DatumLibraryVo;
/**
 * 站点材料公共库实体对象
 *
 * @author zxfei
 * @date 2023-04-10
 */

public class DatumLibraryEntity extends DatumLibraryVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 材料id
     */
    private Long datumId;
    /**
     * 材料简称
     */
    private String shortName;
    /**
     * 材料全称
     */
    private String fullName;
    /**
     * 使用方式（1.拍照上传，2.在线填写)
     */
    private Integer uselType;



    public DatumLibraryEntity(){}
    /**
     * 获取 站点id
     * @return Long
     */
    public Long getSiteId(){
        return siteId;
    }
    /**
     * 设置 站点id
     * @param siteId
     */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
     * 获取 站点名称
     * @return String
     */
    public String getSiteName(){
        return siteName;
    }
    /**
     * 设置 站点名称
     * @param siteName
     */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
     * 获取 材料id
     * @return Long
     */
    public Long getDatumId(){
        return datumId;
    }
    /**
     * 设置 材料id
     * @param datumId
     */
    public void setDatumId(Long datumId){
        this.datumId = datumId;
    }
    /**
     * 获取 材料简称
     * @return String
     */
    public String getShortName(){
        return shortName;
    }
    /**
     * 设置 材料简称
     * @param shortName
     */
    public void setShortName(String shortName){
        this.shortName = shortName;
    }
    /**
     * 获取 材料全称
     * @return String
     */
    public String getFullName(){
        return fullName;
    }
    /**
     * 设置 材料全称
     * @param fullName
     */
    public void setFullName(String fullName){
        this.fullName = fullName;
    }
    /**
     * 获取 使用方式（1.拍照上传，2.在线填写)
     * @return Integer
     */
    public Integer getUselType(){
        return uselType;
    }
    /**
     * 设置 使用方式（1.拍照上传，2.在线填写)
     * @param uselType
     */
    public void setUselType(Integer uselType){
        this.uselType = uselType;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DatumLibraryEntity) {
            DatumLibraryEntity tmp = (DatumLibraryEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",siteName:").append(getSiteName());
        sb.append(",datumId:").append(getDatumId());
        sb.append(",shortName:").append(getShortName());
        sb.append(",fullName:").append(getFullName());
        sb.append(",uselType:").append(getUselType());
        return sb.toString();
    }

    public void initAttrValue(){

        this.siteId = null;

        this.siteName = "";

        this.datumId = null;

        this.shortName = "";

        this.fullName = "";

        this.uselType = 1;
    }
}