package com.mortals.xhx.module.matter.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.MatterDatumVo;
/**
 * 事项申请材料实体对象
 *
 * @author zxfei
 * @date 2023-04-10
 */

public class MatterDatumEntity extends MatterDatumVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 事项id
     */
    private Long matterId;
    /**
     * 事项编码
     */
    private String matterCode;
    /**
     * 材料简称
     */
    private String shortName;
    /**
     * 材料全称
     */
    private String fullName;
    /**
     * 使用方式（1.拍照上传，2.在线填写)
     */
    private Integer uselType;
    /**
     * 是否推荐（0否1是）
     */
    private Integer suggest;
    /**
     * 填写次数
     */
    private Integer fillSum;



    public MatterDatumEntity(){}
    /**
     * 获取 站点id
     * @return Long
     */
    public Long getSiteId(){
        return siteId;
    }
    /**
     * 设置 站点id
     * @param siteId
     */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
     * 获取 站点名称
     * @return String
     */
    public String getSiteName(){
        return siteName;
    }
    /**
     * 设置 站点名称
     * @param siteName
     */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
     * 获取 事项id
     * @return Long
     */
    public Long getMatterId(){
        return matterId;
    }
    /**
     * 设置 事项id
     * @param matterId
     */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
     * 获取 事项编码
     * @return String
     */
    public String getMatterCode(){
        return matterCode;
    }
    /**
     * 设置 事项编码
     * @param matterCode
     */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
     * 获取 材料简称
     * @return String
     */
    public String getShortName(){
        return shortName;
    }
    /**
     * 设置 材料简称
     * @param shortName
     */
    public void setShortName(String shortName){
        this.shortName = shortName;
    }
    /**
     * 获取 材料全称
     * @return String
     */
    public String getFullName(){
        return fullName;
    }
    /**
     * 设置 材料全称
     * @param fullName
     */
    public void setFullName(String fullName){
        this.fullName = fullName;
    }
    /**
     * 获取 使用方式（1.拍照上传，2.在线填写)
     * @return Integer
     */
    public Integer getUselType(){
        return uselType;
    }
    /**
     * 设置 使用方式（1.拍照上传，2.在线填写)
     * @param uselType
     */
    public void setUselType(Integer uselType){
        this.uselType = uselType;
    }
    /**
     * 获取 是否推荐（0否1是）
     * @return Integer
     */
    public Integer getSuggest(){
        return suggest;
    }
    /**
     * 设置 是否推荐（0否1是）
     * @param suggest
     */
    public void setSuggest(Integer suggest){
        this.suggest = suggest;
    }
    /**
     * 获取 填写次数
     * @return Integer
     */
    public Integer getFillSum(){
        return fillSum;
    }
    /**
     * 设置 填写次数
     * @param fillSum
     */
    public void setFillSum(Integer fillSum){
        this.fillSum = fillSum;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterDatumEntity) {
            MatterDatumEntity tmp = (MatterDatumEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",siteName:").append(getSiteName());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",shortName:").append(getShortName());
        sb.append(",fullName:").append(getFullName());
        sb.append(",uselType:").append(getUselType());
        sb.append(",suggest:").append(getSuggest());
        sb.append(",fillSum:").append(getFillSum());
        return sb.toString();
    }

    public void initAttrValue(){

        this.siteId = null;

        this.siteName = "";

        this.matterId = null;

        this.matterCode = "";

        this.shortName = "";

        this.fullName = "";

        this.uselType = 1;

        this.suggest = 0;

        this.fillSum = 1;
    }
}